Bug 154652 - [patch] port net-mgmt/nagvis update to 1.5.8
Summary: [patch] port net-mgmt/nagvis update to 1.5.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-10 13:50 UTC by Andrew Sidorov
Modified: 2011-02-11 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.03 KB, patch)
2011-02-10 13:50 UTC, Andrew Sidorov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Sidorov 2011-02-10 13:50:10 UTC
- update nagvis to version 1.5.8

Changelog 1.5.8
Core

    * Bugfix: Fixed wrong spelled var in general module action processing code
    * Bugfix: Fixed validation of style/label style attributes: Allowing # chars now

Frontend

    * Bugfix: Fixed php error when using custom css files in maps
    * Bugfix: Reverted line wrapping fix for labels/textboxes from 1.5.7
    * Bugfix: Fixed transparent authentication on pages which require no authorisation (e.g. info page)

WUI

    * Bugfix: Fixed hostname filled in service dropdown menu when editing a service object
    * Bugfix: Fixed dragging relative labels of line objects in WUI

Fix: --- Makefile    2011-02-10 16:21:42.000000000 +0300
+++ Makefile    2011-02-10 15:34:53.000000000 +0300
@@ -6,7 +6,7 @@
 #

 PORTNAME=      nagvis
-PORTVERSION=   1.5.5
+PORTVERSION=   1.5.8
 CATEGORIES=    net-mgmt
 MASTER_SITES=  SF/${PORTNAME}/NagVis%201.5/

--- distinfo    2010-11-11 03:11:15.000000000 +0300
+++ distinfo    2011-02-10 15:38:20.000000000 +0300
@@ -1,2 +1,2 @@
-SHA256 (nagvis-1.5.5.tar.gz) = 37b9fd132427b21d129d181b657c1b064af1f3220209e2a0f48bbb33cc5347d0
-SIZE (nagvis-1.5.5.tar.gz) = 3258337
+SHA256 (nagvis-1.5.8.tar.gz) = 6c87b19550c90dd4ed54040ff4835e3ceb3a4ba93f723f44763c66d289288817
+SIZE (nagvis-1.5.8.tar.gz) = 3296727
--- pkg-plist   2010-11-11 03:11:15.000000000 +0300
+++ pkg-plist   2011-02-10 16:27:37.000000000 +0300
@@ -1,3 +1,4 @@
+%%WWWDIR%%/ChangeLog
 %%WWWDIR%%/LICENCE
 %%WWWDIR%%/README
 %%WWWDIR%%/docs/de_DE/about.html
@@ -74,6 +75,8 @@
 %%WWWDIR%%/docs/general/img/nagvis-1.4-context-ssh-1.png
 %%WWWDIR%%/docs/general/img/nagvis-1.4-gadget-label-hover.png
 %%WWWDIR%%/docs/general/img/sample-weathermap.jpg
+%%WWWDIR%%/docs/general/img/std_bar.png
+%%WWWDIR%%/docs/general/img/std_speedo2.png
 %%WWWDIR%%/etc/.htaccess
 %%WWWDIR%%/etc/apache2-nagvis.conf-sample
 %%WWWDIR%%/etc/automaps/__automap.cfg
@@ -433,6 +436,7 @@
 %%WWWDIR%%/share/server/core/classes/CoreTemplateSystem.php
 %%WWWDIR%%/share/server/core/classes/CoreUriHandler.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendInterface.php
+%%WWWDIR%%/share/server/core/classes/GlobalBackendTest.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendmerlinmy.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendmklivestatus.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendndomy.php
@@ -496,6 +500,7 @@
 %%WWWDIR%%/share/server/core/functions/debug.php
 %%WWWDIR%%/share/server/core/functions/oldPhpVersionFixes.php
 %%WWWDIR%%/share/userfiles/gadgets/gadgets_core.php
+%%WWWDIR%%/share/userfiles/gadgets/std_bar.php
 %%WWWDIR%%/share/userfiles/gadgets/std_speedometer.php
 %%WWWDIR%%/share/userfiles/gadgets/std_speedometer2.php
 %%WWWDIR%%/share/userfiles/images/gadgets/dummy


Patch attached with submission follows:
Comment 1 Frederic Culot freebsd_committer 2011-02-10 14:09:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-02-11 10:31:17 UTC
culot       2011-02-11 10:31:11 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagvis      Makefile distinfo pkg-plist 
  Log:
  - Update to 1.5.8
  
  PR:             ports/154652
  Submitted by:   Andrew Sidorov <derfi AT vei.ru> (maintainer)
  
  Revision  Changes    Path
  1.3       +1 -1      ports/net-mgmt/nagvis/Makefile
  1.3       +2 -2      ports/net-mgmt/nagvis/distinfo
  1.3       +5 -0      ports/net-mgmt/nagvis/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Frederic Culot freebsd_committer 2011-02-11 10:31:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!